| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Namespaces | Functions
src/GLSL/include/OgreGLSLExtSupport.h File Reference
`#include "OgreGLPrerequisites.h"`

## Namespaces
| Ogre
| Ogre::GLSL

## Functions
String | Ogre::GLSL::getObjectInfo (GLuint obj)
| just return the info without logging it More...
String | Ogre::GLSL::logObjectInfo (const String &msg, GLhandleARB obj)
| if there is a message in GL info log then post it in the Ogre Log More...
void | Ogre::GLSL::reportGLSLError (GLenum glErr, const String &ogreMethod, const String &errorTextPrefix, const GLhandleARB obj, const bool forceInfoLog=false, const bool forceException=false)
| Check for GL errors and report them in the Ogre Log. More...